Name:		libassetml
Version: 	1.2.1
Release:        2%{?dist}
Summary:        XML resource database library
Group:          System Environment/Libraries
License:	GPL  
URL:		http://sourceforge.net/projects/ofset/
Source0:        http://download.sourceforge.net/ofset/%{name}-%{version}.tar.gz
Patch0:         libassetml-gcompris.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:	glib2-devel libxml2-devel texinfo texi2html

%description
AssetML defines an xml file that can be used by application developers as a
resource database. The idea is to have a way to search content on your hard
drive with metadata (like name, category, file type, description) instead of
just a file name. This way, users can browse content more easily and developers
can share content more easily.


%package devel
Summary:	Libraries and include files for libassetml
Group:		Development/Libraries
Requires:	%{name} = %{version}
Requires:	glib2-devel
Requires(post): /sbin/install-info
Requires(preun): /sbin/install-info

%description devel
Development libraries for libassetml


%prep
%setup -q
%patch -p1 -z .gcompris
# make rpmlint happy
chmod -x src/tools/assetml-query.c


%build
%configure
make %{?_smp_mflags}
iconv -f ISO-8859-1 -t UTF8 docs/C/libassetml.info > docs/C/libassetml.tmp
mv docs/C/libassetml.tmp docs/C/libassetml.info


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_datadir}/assetml
%find_lang %{name}
rm $RPM_BUILD_ROOT/%{_libdir}/%{name}.la
rm -f $RPM_BUILD_ROOT/%{_infodir}/dir


%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%post devel
/sbin/install-info %{_infodir}/%{name}.info %{_infodir}/dir || :

%preun devel
if [ $1 = 0 ]; then
    /sbin/install-info --delete %{_infodir}/%{name}.info %{_infodir}/dir || :
fi


%clean
rm -rf $RPM_BUILD_ROOT


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS COPYING ChangeLog README THANKS
%{_bindir}/assetml-query
%{_libdir}/*.so.*
%dir %{_datadir}/assetml

%files devel
%{_includedir}/%{name}-1.0
%{_libdir}/*.so
%{_libdir}/pkgconfig/%{name}.pc
%{_datadir}/gnome/
%{_infodir}/%{name}.info.gz


%changelog
* Mon Apr 17 2006 Hans de Goede <j.w.r.degoede@hhs.nl> 1.2.1-2
- Add libassetml-gcompris.patch which adds a couple of fixes found in the
  version of libassetml as shipped with gcompris. Which is BTW currently our
  only user. Notice that this version is much less (annoyingly) verbose then
  the version bundled with gcompris.

* Mon Apr 10 2006 Hans de Goede <j.w.r.degoede@hhs.nl> 1.2.1-1
- Initial spec file
